#! /bin/sh
# postinst script for pnm2ppa
#
# see: dh_installdeb(1)
set -e

# Variables
CONFFILE="/etc/pnm2ppa.conf"
CONFTMPL="/usr/share/pnm2ppa/pnm2ppa.conf"
MKMAGIC="/usr/share/pnm2ppa/update-magicfilter"

# Debconf, baby -- no tests.  It's a dependency for installation.
. /usr/share/debconf/confmodule

case "${1}" in
    configure)
	# Make sure we have a config file in place
	if [ ! -f ${CONFFILE} ] ; then
		/usr/bin/install -m644 ${CONFTMPL} ${CONFFILE}
	fi

	db_get pnm2ppa/use_debconf
	if [ "${RET}" = "true" ] ; then
		# If conf file already exists, use that
		if [ -f ${CONFFILE} ] ; then
			CONFSRC=${CONFFILE}
		else
			CONFSRC=${CONFTMPL}
		fi

		# VERY simple sed replacement
		if [ -f ${CONFSRC} ] ; then
			db_get pnm2ppa/printer_model
			TEMPFILE=`/bin/tempfile`
			# Replace everything following "version " w/model
			/bin/sed -e "s,^\(version \).*$,\1 ${RET}," ${CONFSRC} > \
				${TEMPFILE}
			/usr/bin/install -m644 ${TEMPFILE} ${CONFFILE}
			/bin/rm ${TEMPFILE}
		fi

		# Simple magicfilter processing...
		db_get pnm2ppa/create_magicfilter
		if [ "${RET}" = "true" ] ; then
			sh $MKMAGIC
		fi
	fi

    ;;
    abort-upgrade|abort-remove|abort-deconfigure)
    ;;
    *)
        echo "postinst called with unknown argument \`${1}'" >&2
        exit 1
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

# Automatically added by dh_installdocs
if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
	install-docs -i /usr/share/doc-base/pnm2ppa-color
fi
# End automatically added section
# Automatically added by dh_installdocs
if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
	install-docs -i /usr/share/doc-base/pnm2ppa-calibrate
fi
# End automatically added section
# Automatically added by dh_installdocs
if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
	install-docs -i /usr/share/doc-base/pnm2ppa-ppa_networking
fi
# End automatically added section


exit 0
