#! /bin/sh
# prerm script for pnm2ppa
#
# see: dh_installdeb(1)

set -e

# summary of how this script can be called:
#        * <prerm> `remove'
#        * <old-prerm> `upgrade' <new-version>
#        * <new-prerm> `failed-upgrade' <old-version>
#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
#        * <deconfigured's-prerm> `deconfigure' `in-favour'
#          <package-being-installed> <version> `removing'
#          <conflicting-package> <version>
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package


case "$1" in
    remove|upgrade|deconfigure)
#       install-info --quiet --remove /usr/info/pnm2ppa.info.gz
        ;;
    failed-upgrade)
        ;;
    purge)
	for i in /etc/magicfilter/pbm2ppa* ; do
		rm -f $i
	done
    	;;
    *)
        echo "prerm called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

# Automatically added by dh_installdocs
if [ "$1" = remove ] || [ "$1" = upgrade ] && \
   which install-docs >/dev/null 2>&1; then
	install-docs -r pnm2ppa-color
fi
# End automatically added section
# Automatically added by dh_installdocs
if [ "$1" = remove ] || [ "$1" = upgrade ] && \
   which install-docs >/dev/null 2>&1; then
	install-docs -r pnm2ppa-calibrate
fi
# End automatically added section
# Automatically added by dh_installdocs
if [ "$1" = remove ] || [ "$1" = upgrade ] && \
   which install-docs >/dev/null 2>&1; then
	install-docs -r pnm2ppa-ppa_networking
fi
# End automatically added section


exit 0


